From f38d1445fc1ec80243867c7eb6283ec799fc657b Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Mon, 30 Mar 2020 20:49:21 +0800
Subject: [PATCH 03/28] qemu_vm: openEuler version not support tcp '-redir'

Ignore tcp '-redir' for openEuler version.

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 virttest/qemu_vm.py | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/virttest/qemu_vm.py b/virttest/qemu_vm.py
index f8fee96b..5819c8ca 100644
--- a/virttest/qemu_vm.py
+++ b/virttest/qemu_vm.py
@@ -17,6 +17,7 @@ import math
 from functools import partial, reduce
 from operator import mul
 
+import distro
 import aexpect
 from avocado.core import exceptions
 from avocado.utils import process
@@ -772,6 +773,9 @@ class VM(virt_vm.BaseVM):
 
         def add_tcp_redir(devices, host_port, guest_port):
             # If the new syntax is supported, don't add -redir
+            if 'openEuler' in distro.linux_distribution():
+                logging.warn("option -redir no support for openEuler")
+                return ""
             if "[,hostfwd=" in devices.get_help_text():
                 return ""
             else:
-- 
2.23.0

